/**
 *
 * @returns a NormalizedAnimation from the given AnimationInput
 */
export const normalizedAnimation = (animationInput) => {
    if (animationInput == null) {
        return { keyframes: [], options: {} };
    }
    if (Array.isArray(animationInput)) {
        return { keyframes: animationInput, options: {} };
    }
    const { keyframes, options } = animationInput;
    const normalizedOptions = typeof options === 'number' ? { duration: options } : options;
    return { keyframes, options: normalizedOptions };
};
